# SIPConnection::Init Struct Reference

`#include <sipcon.h>`

Collaboration diagram for SIPConnection::Init:

[legend]

## Public Member Functions

| Init (OpalCall &call, SIPEndPoint &endpoint)

## Data Fields

OpalCall & | m_call
| Owner call for connection.
SIPEndPoint & | m_endpoint
| SIP endpoint that controls the connection.
PString | m_token
| Token to identify the connection.
SIPURL | m_address
| Destination address for outgoing call.
void * | m_userData
| User data.
SIP_PDU * | m_invite
| Invite packet.
unsigned | m_options
| Connection options.
OpalConnection::StringOptions * | m_stringOptions
| complex string options

## Constructor & Destructor Documentation

SIPConnection::Init::Init | ( | OpalCall & | call,
|  | SIPEndPoint & | endpoint |
| ) |  |  | `[inline]`

## Field Documentation

SIPURL SIPConnection::Init::m_address

Destination address for outgoing call.

OpalCall& SIPConnection::Init::m_call

Owner call for connection.

SIPEndPoint& SIPConnection::Init::m_endpoint

SIP endpoint that controls the connection.

SIP_PDU* SIPConnection::Init::m_invite

Invite packet.

unsigned SIPConnection::Init::m_options

Connection options.

OpalConnection::StringOptions* SIPConnection::Init::m_stringOptions

complex string options

PString SIPConnection::Init::m_token

Token to identify the connection.

void* SIPConnection::Init::m_userData

User data.

The documentation for this struct was generated from the following file:

- sipcon.h